Class | GridBuilder
In: | lib/compass/grid_builder.rb
Parent: | PNG

### Methods

generate! new working_path

### Included Modules

Actions

### Attributes

able_to_generate | [R] |
column_width | [R] |
filename | [R] |
gutter_width | [R] |
options | [R] |

### Public Class methods

new(options={})

#### Options

- `options`
  - `:column_width` — Width (in pixels) of current grid column
  - `:gutter_width` — Width (in pixels) of current grid gutter
  - `:height` — Height (in pixels) of a row
  - `:filename` — Output path of grid.png file

### Public Instance methods

generate!()

generates (overwriting if necessary) grid.png image to be tiled in background

working_path()

[Validate]